Package org.apache.tomcat.util.bcel

# Class Const

java.lang.Object
org.apache.tomcat.util.bcel.Const

public final class Const extends Object
Constants for the project, mostly defined in the JVM specification.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `ACC_ABSTRACT`
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_ANNOTATION`
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_FINAL`
  One of the access flags for fields, methods, or classes.
  `static final short`
  `ACC_INTERFACE`
  One of the access flags for fields, methods, or classes.
  `static final byte`
  `CONSTANT_Class`
  Marks a constant pool entry as a Class
  `static final byte`
  `CONSTANT_Double`
  Marks a constant pool entry as type Double.
  `static final byte`
  `CONSTANT_Dynamic`
  Marks a constant pool entry as dynamically computed.
  `static final byte`
  `CONSTANT_Fieldref`
  Marks a constant pool entry as a Field Reference.
  `static final byte`
  `CONSTANT_Float`
  Marks a constant pool entry as type Float.
  `static final byte`
  `CONSTANT_Integer`
  Marks a constant pool entry as type Integer.
  `static final byte`
  `CONSTANT_InterfaceMethodref`
  Marks a constant pool entry as an Interface Method Reference.
  `static final byte`
  `CONSTANT_InvokeDynamic`
  Marks a constant pool entry as an Invoke Dynamic
  `static final byte`
  `CONSTANT_Long`
  Marks a constant pool entry as type Long.
  `static final byte`
  `CONSTANT_MethodHandle`
  Marks a constant pool entry as a Method Handle.
  `static final byte`
  `CONSTANT_Methodref`
  Marks a constant pool entry as a Method Reference.
  `static final byte`
  `CONSTANT_MethodType`
  Marks a constant pool entry as a Method Type.
  `static final byte`
  `CONSTANT_Module`
  Marks a constant pool entry as a Module Reference.
  `static final byte`
  `CONSTANT_NameAndType`
  Marks a constant pool entry as a name and type.
  `static final byte`
  `CONSTANT_Package`
  Marks a constant pool entry as a Package Reference.
  `static final byte`
  `CONSTANT_String`
  Marks a constant pool entry as type String
  `static final byte`
  `CONSTANT_Utf8`
  Marks a constant pool entry as type UTF-8.
  `static final int`
  `JVM_CLASSFILE_MAGIC`
  Java class file format Magic number (0xCAFEBABE)
  `static final int`
  `MAX_ARRAY_DIMENSIONS`
  The maximum number of dimensions in an array (255).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Const()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getConstantName(int index)`
  Get the CONSTANT_NAMES entry at the given index.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JVM_CLASSFILE_MAGIC

    public static final int JVM_CLASSFILE_MAGIC
    Java class file format Magic number (0xCAFEBABE)
    See Also:
      - The ClassFile Structure in The Java Virtual Machine Specification
      - Constant Field Values

  - ### ACC_FINAL

    public static final short ACC_FINAL
    One of the access flags for fields, methods, or classes.
    See Also:
      - Flag definitions for Classes in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Flag definitions for Fields in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Flag definitions for Methods in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Flag definitions for Inner Classes in the Java Virtual Machine Specification (Java SE 9 Edition).
      - Constant Field Values

  - ### ACC_INTERFACE

    public static final short ACC_INTERFACE
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_FINAL`
      - Constant Field Values

  - ### ACC_ABSTRACT

    public static final short ACC_ABSTRACT
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_FINAL`
      - Constant Field Values

  - ### ACC_ANNOTATION

    public static final short ACC_ANNOTATION
    One of the access flags for fields, methods, or classes.
    See Also:
      - `ACC_FINAL`
      - Constant Field Values

  - ### CONSTANT_Utf8

    public static final byte CONSTANT_Utf8
    Marks a constant pool entry as type UTF-8.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Integer

    public static final byte CONSTANT_Integer
    Marks a constant pool entry as type Integer.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Float

    public static final byte CONSTANT_Float
    Marks a constant pool entry as type Float.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Long

    public static final byte CONSTANT_Long
    Marks a constant pool entry as type Long.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Double

    public static final byte CONSTANT_Double
    Marks a constant pool entry as type Double.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Class

    public static final byte CONSTANT_Class
    Marks a constant pool entry as a Class
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Fieldref

    public static final byte CONSTANT_Fieldref
    Marks a constant pool entry as a Field Reference.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_String

    public static final byte CONSTANT_String
    Marks a constant pool entry as type String
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Methodref

    public static final byte CONSTANT_Methodref
    Marks a constant pool entry as a Method Reference.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_InterfaceMethodref

    public static final byte CONSTANT_InterfaceMethodref
    Marks a constant pool entry as an Interface Method Reference.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_NameAndType

    public static final byte CONSTANT_NameAndType
    Marks a constant pool entry as a name and type.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_MethodHandle

    public static final byte CONSTANT_MethodHandle
    Marks a constant pool entry as a Method Handle.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_MethodType

    public static final byte CONSTANT_MethodType
    Marks a constant pool entry as a Method Type.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Dynamic

    public static final byte CONSTANT_Dynamic
    Marks a constant pool entry as dynamically computed.
    See Also:
      - Change request for JEP 309
      - Constant Field Values

  - ### CONSTANT_InvokeDynamic

    public static final byte CONSTANT_InvokeDynamic
    Marks a constant pool entry as an Invoke Dynamic
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Module

    public static final byte CONSTANT_Module
    Marks a constant pool entry as a Module Reference.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### CONSTANT_Package

    public static final byte CONSTANT_Package
    Marks a constant pool entry as a Package Reference.
    See Also:
      - The Constant Pool in The Java Virtual Machine Specification
      - Constant Field Values

  - ### MAX_ARRAY_DIMENSIONS

    public static final int MAX_ARRAY_DIMENSIONS
    The maximum number of dimensions in an array (255). One of the limitations of the Java Virtual Machine.
    See Also:
      - Field Descriptors in The Java Virtual Machine Specification
      - Constant Field Values

- ## Constructor Details

  - ### Const

    public Const()

- ## Method Details

  - ### getConstantName

    public static String getConstantName(int index)
    Get the CONSTANT_NAMES entry at the given index.
    Parameters:
      `index` - The index for which the constant name is required
    Returns:
      the CONSTANT_NAMES entry at the given index